---
apiVersion: v1
kind: Namespace
metadata:
  name: trovekube
---
apiVersion: v1
data:

  cgit-footer.inc: |
    <!-- footer.inc -->
    <div class="footer" style="margin-bottom: 1em"><a href="/lc-status.html">View Lorry Controller Status</a></div>

    <script>
    function fixUrls() {
      var list = document.querySelectorAll('a[rel="vcs-git"]');
      const myurl = new URL(window.location);
      for (i = 0; i < list.length; ++i) {
        var url = new URL(list[i].href);
        url.hostname = myurl.hostname;
        url.port = myurl.port;
        url.protocol = myurl.protocol;
        list[i].href = url.href;
        list[i].innerHTML = url.href;
      }
    }
    fixUrls()
    </script>

  cgitrc: |
    scan-path=/data/gits/git
    clone-prefix=http://localhost:8080/git
    root-title=trovekube Git repositories
    root-desc=Baserock Trove -- For Baserock
    footer=/config/cgit-footer.inc
  lighttpd-gits.conf: |
        setenv.add-environment = (
            "GIT_HTTP_EXPORT_ALL" => "",
            "GIT_PROJECT_ROOT" => "/data/gits/git",
        )
  lighttpd-root.conf: |
    server.document-root = "/data/html"

kind: ConfigMap
metadata:
  name: config-lighttpd
  namespace: default
---
apiVersion: v1
data:
  minion.conf: |
    [config]
    log = stdout
    log-level = debug
    webapp-host = lorry-controller-webapp
    webapp-port = 12765
    webapp-timeout = 3600
    
    # lorry config is by default in /etc/lorry.conf
    #lorry-cmd = lorry --config /config/lorry.conf
    lorry-config = /config/lorry.conf
    # for space
    lorry-working-area = /data/working-area
  lorry.conf: |
    [config]
    mirror-base-url-push = /data/gits/git
    mirror-base-url-fetch = /data/gits/git
    bundle = never
    bundle-dest = /data/gits/bundles
    tarball = always
    tarball-dest = /data/gits/tarballs
    working-area = /data/working-area
    verbose = yes
    log = stdout
    log-level = debug

kind: ConfigMap
metadata:
  name: config-minion
  namespace: default
---
apiVersion: v1
data:
  webapp.conf: |
    [config]
    log = stdout
    log-level = debug
    statedb = /data/db/webapp.db
    configuration-directory = /data/confgit
    status-html = /data/html/lc-status.html
    wsgi = no
    debug-port = 12765
    templates = /usr/local/share/lorry-controller/templates
    static-files = /usr/local/share/lorry-controller/static
    confgit-url = https://gitlab.com/CodethinkLabs/lorry/example-lorries-configuration.git
    publish-failures = yes
    git-server-type = local
kind: ConfigMap
metadata:
  name: config-webapp
  namespace: default
